/*
 * all the standard include files needed by fio
 * used because ape libraries are such a pain
 */
#undef _POSIX_SOURCE
#define _POSIX_SOURCE

#include <stdlib.h>
#include <sys/types.h>
#include <unistd.h>
#include <string.h>
#include <math.h>

double	charstod(int(*)(void*), void *);
double	pow10(int);
/*
 * print routines
 */
extern	void	fstrconv(char*, int, int, int);
extern	void	strconv(char*, int, int);
extern	int	fmtinstall(char, int (*)(void*, int, int, int, int));
extern	char*	doprint(char*, char*, char*, void*);
extern	int	numbconv(void*, int, int, int, int);
extern	int	fltconv(void*, int, int, int, int);
